
/* Copyright (C) 2011-2016  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */



#ifndef PLAYLISTTABMENU_H
#define PLAYLISTTABMENU_H

#include "Helper/SayonaraClass.h"

#include <QMenu>
#include <QAction>


class PlaylistTabMenu :
		public QMenu,
		private SayonaraClass
{

	Q_OBJECT

signals:
	void sig_delete_clicked();
	void sig_save_clicked();
	void sig_save_as_clicked();
	void sig_close_clicked();
	void sig_close_others_clicked();
	void sig_reset_clicked();
	void sig_rename_clicked();

private:
	QAction*	_action_delete;
	QAction*	_action_save;
	QAction*	_action_save_as;
	QAction*	_action_reset;
	QAction*	_action_close;
	QAction*	_action_close_others;
	QAction*	_action_rename;

private slots:
	void language_changed();


public:
	PlaylistTabMenu(QWidget* parent=nullptr);

	~PlaylistTabMenu();

	void show_menu_items(bool save_action, bool save_as_action, bool delete_action, bool reset_action);
	void show_close(bool b);
};



#endif // PLAYLISTTABMENU_H
