/* PlaylistTabWidget.cpp */

/* Copyright (C) 2011-2016  Lucio Carreras
 *
 * This file is part of sayonara player
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "PlaylistTabWidget.h"



PlaylistTabWidget::PlaylistTabWidget(QWidget* parent) :
	QTabWidget(parent)
{
	_tab_bar = new PlaylistTabBar(this);
	this->setTabBar(_tab_bar);

	connect(_tab_bar, &PlaylistTabBar::sig_tab_reset, this, &PlaylistTabWidget::sig_tab_reset);
	connect(_tab_bar, &PlaylistTabBar::sig_tab_save, this, &PlaylistTabWidget::sig_tab_save);
	connect(_tab_bar, &PlaylistTabBar::sig_tab_save_as, this, &PlaylistTabWidget::sig_tab_save_as);
	connect(_tab_bar, &PlaylistTabBar::sig_tab_rename, this, &PlaylistTabWidget::sig_tab_rename);
	connect(_tab_bar, &PlaylistTabBar::sig_tab_delete, this, &PlaylistTabWidget::sig_tab_delete);
	connect(_tab_bar, &PlaylistTabBar::sig_cur_idx_changed, this, &PlaylistTabWidget::currentChanged);
}

PlaylistTabWidget::~PlaylistTabWidget(){
	delete _tab_bar;
}

void PlaylistTabWidget::show_tabbar(){
	this->tabBar()->show();
}

void PlaylistTabWidget::hide_tabbar(){
	this->tabBar()->hide();
}

void PlaylistTabWidget::show_menu_items(bool save_action, bool save_as_action, bool delete_action, bool reset_action){
	_tab_bar->show_menu_items(save_action, save_as_action, delete_action, reset_action);
}

void PlaylistTabWidget::setTabsClosable(bool b){
	QTabWidget::setTabsClosable(b);
	_tab_bar->setTabsClosable(b);
}
